=== debian/changelog ===
vulkan-volk (1.2.198-1) unstable; urgency=medium

  * New upstream release.
  * Bump version of libvulkan-dev to >= 1.2.198.

 -- Dylan Aïssi <daissi@debian.org>  Sun, 16 Jan 2022 14:58:44 +0100

vulkan-volk (1.2.190-2) unstable; urgency=medium

  * Standards-Version: 4.6.0 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 18 Oct 2021 21:31:29 +0200

vulkan-volk (1.2.190-1) unstable; urgency=medium

  * New upstream release.
  * Move maintenance under the X Strike Force umbrella.
  * Bump version of libvulkan-dev to >= 1.2.189.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 14 Sep 2021 12:07:45 +0200

vulkan-volk (1.2.170-1) unstable; urgency=medium

  * Initial release (Closes: #989601)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 08 Jun 2021 12:37:53 +0200
