=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DVOLK_INSTALL=ON

override_dh_auto_install:
	dh_auto_install
	# Removing files related to the static library until the name clash is resolved
	# https://github.com/zeux/volk/issues/66
	find . -name '*.a' -delete
	find . -name '*.cmake' -delete
	find . -type d -empty -delete
