=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/volk-$1\.tar\.gz/ \
  https://github.com/zeux/volk/tags .*/v?(\d\S+)\.tar\.gz
