=== debian/changelog ===
vulkan-volk (1.3.215-1) unstable; urgency=medium

  * New upstream release.
  * Bump version of libvulkan-dev to >= 1.3.215.
  * Standards-Version: 4.6.1 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 22 Jul 2022 23:32:56 +0200

vulkan-volk (1.3.204-1) unstable; urgency=medium

  * New upstream release.
  * Bump version of libvulkan-dev to >= 1.3.204.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 04 Mar 2022 16:05:16 +0100
