## vulkan-volk 1.3.239.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project(volk VERSION 
 # VOLK_GENERATE_VERSION
-215
+239
 # VOLK_GENERATE_VERSION
   LANGUAGES C
 )
@@ -22,6 +22,9 @@
 endif()
 if(NOT DEFINED VOLK_HEADERS_ONLY)
   option(VOLK_HEADERS_ONLY "Add interface library only" OFF)
+endif()
+if(NOT DEFINED VULKAN_HEADERS_INSTALL_DIR)
+  option(VULKAN_HEADERS_INSTALL_DIR "Where to get the Vulkan headers" "")
 endif()
 
 # -----------------------------------------------------
@@ -60,16 +63,31 @@
 
 if(VOLK_PULL_IN_VULKAN)
   # If CMake has the FindVulkan module and it works, use it.
-  # Otherwise try the environment variable.
   find_package(Vulkan QUIET)
-  if(TARGET Vulkan::Vulkan)
+
+  # Try an explicit CMake variable first, then any Vulkan targets
+  # discovered by FindVulkan.cmake, then the $VULKAN_SDK environment
+  # variable if nothing else works.
+  if(VULKAN_HEADERS_INSTALL_DIR)
+    message(" Vulkan as path")
+    if(TARGET volk)
+      target_include_directories(volk PUBLIC "${VULKAN_HEADERS_INSTALL_DIR}/include")
+    endif()
+    target_include_directories(volk_headers INTERFACE "${VULKAN_HEADERS_INSTALL_DIR}/include")
+  elseif(TARGET Vulkan::Vulkan)
     message(" Vulkan as target")
     if(TARGET volk)
       target_link_libraries(volk PUBLIC Vulkan::Vulkan)
     endif()
     target_link_libraries(volk_headers INTERFACE Vulkan::Vulkan)
+  elseif(TARGET Vulkan::Headers)
+    message(" Vulkan headers as another cmake target")
+    if(TARGET volk)
+      target_link_libraries(volk PUBLIC Vulkan::Headers)
+    endif()
+    target_link_libraries(volk_headers INTERFACE Vulkan::Headers)
   elseif(DEFINED ENV{VULKAN_SDK})
-    message(" Vulkan as path")
+    message(" Vulkan as VULKAN_SDK path")
     if(TARGET volk)
       target_include_directories(volk PUBLIC "$ENV{VULKAN_SDK}/include")
     endif()
