=== debian/changelog ===
vulkan-volk (1.3.239.0-1) unstable; urgency=medium

  * New upstream version 1.3.239.0
  * Bump version of libvulkan-dev to >= 1.3.239.0

 -- Dylan Aïssi <daissi@debian.org>  Tue, 07 Feb 2023 17:10:46 +0100

vulkan-volk (1.3.236.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump version of libvulkan-dev to >= 1.3.236.0

 -- Dylan Aïssi <daissi@debian.org>  Wed, 18 Jan 2023 09:39:39 +0100

vulkan-volk (1.3.231.1-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream release.
  * Bump version of libvulkan-dev to >= 1.3.231.1
  * Standards-Version: 4.6.2 (no changes needed)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints. + libvulkan-volk-dev: Add Multi-Arch: foreign.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 04 Jan 2023 17:54:42 +0100
