=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libvulkan-dev (>= 1.3.215)
-Standards-Version: 4.6.1
+               libvulkan-dev (>= 1.3.239.0)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk/
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk.git
 Homepage: https://github.com/zeux/volk
@@ -17,8 +17,9 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+# See https://github.com/zeux/volk/issues/66 for name clash
 Conflicts: libvolk2-dev
-# See https://github.com/zeux/volk/issues/66 for name clash
+Multi-Arch: foreign
 Description: Meta-loader for Vulkan API
  Volk allows you to dynamically load entrypoints required to use Vulkan
  without linking to vulkan-1.dll or statically linking Vulkan loader.
