=== debian/changelog ===
vulkan-volk (1.3.250.1-1) unstable; urgency=medium

  * New upstream version 1.3.250.1
  * Bump version of libvulkan-dev to >= 1.3.250.0
  * Update debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Tue, 25 Jul 2023 16:20:32 +0200
