=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libvulkan-dev (>= 1.3.239.0)
+               libvulkan-dev (>= 1.3.250.0)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk/
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk.git
