## vulkan-volk 1.3.275.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 cmake_policy(PUSH)
 cmake_policy(SET CMP0048 NEW) # project(... VERSION ...) support
 
 project(volk VERSION 
 # VOLK_GENERATE_VERSION
-250
+275
 # VOLK_GENERATE_VERSION
   LANGUAGES C
 )
@@ -65,33 +65,25 @@
   # If CMake has the FindVulkan module and it works, use it.
   find_package(Vulkan QUIET)
 
-  # Try an explicit CMake variable first, then any Vulkan targets
+  # Try an explicit CMake variable first, then any Vulkan paths
   # discovered by FindVulkan.cmake, then the $VULKAN_SDK environment
   # variable if nothing else works.
   if(VULKAN_HEADERS_INSTALL_DIR)
-    message(" Vulkan as path")
+    message("volk: using VULKAN_HEADERS_INSTALL_DIR option")
+    set(VOLK_INCLUDES "${VULKAN_HEADERS_INSTALL_DIR}/include")
+  elseif(Vulkan_INCLUDE_DIRS)
+    message("volk: using Vulkan_INCLUDE_DIRS from FindVulkan module")
+    set(VOLK_INCLUDES "${Vulkan_INCLUDE_DIRS}")
+  elseif(DEFINED ENV{VULKAN_SDK})
+    message("volk: using VULKAN_SDK environment variable")
+    set(VOLK_INCLUDES "$ENV{VULKAN_SDK}/include")
+  endif()
+
+  if(VOLK_INCLUDES)
     if(TARGET volk)
-      target_include_directories(volk PUBLIC "${VULKAN_HEADERS_INSTALL_DIR}/include")
+      target_include_directories(volk PUBLIC "${VOLK_INCLUDES}")
     endif()
-    target_include_directories(volk_headers INTERFACE "${VULKAN_HEADERS_INSTALL_DIR}/include")
-  elseif(TARGET Vulkan::Vulkan)
-    message(" Vulkan as target")
-    if(TARGET volk)
-      target_link_libraries(volk PUBLIC Vulkan::Vulkan)
-    endif()
-    target_link_libraries(volk_headers INTERFACE Vulkan::Vulkan)
-  elseif(TARGET Vulkan::Headers)
-    message(" Vulkan headers as another cmake target")
-    if(TARGET volk)
-      target_link_libraries(volk PUBLIC Vulkan::Headers)
-    endif()
-    target_link_libraries(volk_headers INTERFACE Vulkan::Headers)
-  elseif(DEFINED ENV{VULKAN_SDK})
-    message(" Vulkan as VULKAN_SDK path")
-    if(TARGET volk)
-      target_include_directories(volk PUBLIC "$ENV{VULKAN_SDK}/include")
-    endif()
-    target_include_directories(volk_headers INTERFACE "$ENV{VULKAN_SDK}/include")
+    target_include_directories(volk_headers INTERFACE "${VOLK_INCLUDES}")
   endif()
 endif()
