=== debian/changelog ===
vulkan-volk (1.3.275.0-1) unstable; urgency=medium

  * New upstream version 1.3.275.0
  * Install library files as they are required to build newer vulkan-tools
  * Switch arch of libvulkan-volk-dev to "any" as it contains now architecture
      dependent files.
  * Drop "Multi-Arch: foreign" for libvulkan-volk-dev
  * Bump version of libvulkan-dev to >= 1.3.275.0

 -- Dylan Aïssi <daissi@debian.org>  Wed, 21 Feb 2024 18:30:14 +0100

vulkan-volk (1.3.268.0-1) unstable; urgency=medium

  * New upstream version 1.3.268.0
  * Update debian/watch with new tag format
  * Bump version of libvulkan-dev to >= 1.3.268.0

 -- Dylan Aïssi <daissi@debian.org>  Fri, 10 Nov 2023 16:04:24 +0100
