=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libvulkan-dev (>= 1.3.250.0)
+               libvulkan-dev (>= 1.3.275.0)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk/
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk.git
@@ -13,13 +13,12 @@
 Rules-Requires-Root: no
 
 Package: libvulkan-volk-dev
-Architecture: all
+Architecture: any
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 # See https://github.com/zeux/volk/issues/66 for name clash
 Conflicts: libvolk2-dev
-Multi-Arch: foreign
 Description: Meta-loader for Vulkan API
  Volk allows you to dynamically load entrypoints required to use Vulkan
  without linking to vulkan-1.dll or statically linking Vulkan loader.
