## vulkan-volk 1.3.283.0

=== debian/changelog ===
vulkan-volk (1.3.283.0-1) unstable; urgency=medium

  * New upstream version 1.3.283.0
  * Bump version of libvulkan-dev to >= 1.3.283

 -- Dylan Aïssi <daissi@debian.org>  Fri, 31 May 2024 15:16:56 +0200

vulkan-volk (1.3.280.0-1) unstable; urgency=medium

  * New upstream version 1.3.280.0
  * Bump version of libvulkan-dev to >= 1.3.280.0
  * Standards-Version: 4.7.0 (no changes needed)
  * Add "Multi-Arch: same" for libvulkan-volk-dev
  * Update debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Thu, 18 Apr 2024 10:27:33 +0200
