=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libvulkan-dev (>= 1.3.275.0)
-Standards-Version: 4.6.2
+               libvulkan-dev (>= 1.3.283)
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk/
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk.git
 Homepage: https://github.com/zeux/volk
@@ -19,6 +19,7 @@
          ${misc:Depends}
 # See https://github.com/zeux/volk/issues/66 for name clash
 Conflicts: libvolk2-dev
+Multi-Arch: same
 Description: Meta-loader for Vulkan API
  Volk allows you to dynamically load entrypoints required to use Vulkan
  without linking to vulkan-1.dll or statically linking Vulkan loader.
