=== debian/changelog ===
vulkan-volk (1.3.290.0-1) unstable; urgency=medium

  * New upstream version 1.3.290.0
  * Bump version of libvulkan-dev to >= 1.3.290

 -- Dylan Aïssi <daissi@debian.org>  Sat, 31 Aug 2024 11:04:17 +0200
