## vulkan-volk 1.4.304.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,8 @@
-cmake_minimum_required(VERSION 3.5)
-cmake_policy(PUSH)
-cmake_policy(SET CMP0048 NEW) # project(... VERSION ...) support
+cmake_minimum_required(VERSION 3.5...3.30)
 
 project(volk VERSION 
 # VOLK_GENERATE_VERSION
-290
+304
 # VOLK_GENERATE_VERSION
   LANGUAGES C
 )
@@ -62,21 +60,22 @@
 # Vulkan transitive dependency
 
 if(VOLK_PULL_IN_VULKAN)
-  # If CMake has the FindVulkan module and it works, use it.
-  find_package(Vulkan QUIET)
-
   # Try an explicit CMake variable first, then any Vulkan paths
   # discovered by FindVulkan.cmake, then the $VULKAN_SDK environment
   # variable if nothing else works.
   if(VULKAN_HEADERS_INSTALL_DIR)
     message("volk: using VULKAN_HEADERS_INSTALL_DIR option")
     set(VOLK_INCLUDES "${VULKAN_HEADERS_INSTALL_DIR}/include")
-  elseif(Vulkan_INCLUDE_DIRS)
-    message("volk: using Vulkan_INCLUDE_DIRS from FindVulkan module")
-    set(VOLK_INCLUDES "${Vulkan_INCLUDE_DIRS}")
-  elseif(DEFINED ENV{VULKAN_SDK})
-    message("volk: using VULKAN_SDK environment variable")
-    set(VOLK_INCLUDES "$ENV{VULKAN_SDK}/include")
+  else()
+    # If CMake has the FindVulkan module and it works, use it.
+    find_package(Vulkan QUIET)
+    if(Vulkan_INCLUDE_DIRS)
+      message("volk: using Vulkan_INCLUDE_DIRS from FindVulkan module")
+      set(VOLK_INCLUDES "${Vulkan_INCLUDE_DIRS}")
+    elseif(DEFINED ENV{VULKAN_SDK})
+      message("volk: using VULKAN_SDK environment variable")
+      set(VOLK_INCLUDES "$ENV{VULKAN_SDK}/include")
+    endif()
   endif()
 
   if(VOLK_INCLUDES)
@@ -134,4 +133,3 @@
   )
 
 endif()
-cmake_policy(POP)
