=== debian/changelog ===
vulkan-volk (1.4.304.0-1) unstable; urgency=medium

  * New upstream version 1.4.304.0 (Closes: #1093844)
  * Bump version of libvulkan-dev to >= 1.4.304

 -- Dylan Aïssi <daissi@debian.org>  Thu, 23 Jan 2025 15:07:00 +0100
