=== debian/changelog ===
vulkan-volk (1.4.321.0-1) unstable; urgency=medium

  * New upstream version 1.4.321.0
  * Bump version of libvulkan-dev to >= 1.4.321
  * Standards-Version: 4.7.2 (no changes needed)
  * Update debian/copyright
  * Add debian/salsa-ci.yml

 -- Dylan Aïssi <daissi@debian.org>  Wed, 13 Aug 2025 07:15:55 +0200
