=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libvulkan-dev (>= 1.4.304)
-Standards-Version: 4.7.0
+               libvulkan-dev (>= 1.4.321)
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk/
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk.git
 Homepage: https://github.com/zeux/volk
