=== debian/watch ===
version=4
opts=filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/volk-$1\.tar\.gz/ \
  https://github.com/zeux/volk/tags (?:.*?/)vulkan-sdk[_-](\d[\d.]*)\.tar\.gz
