=== debian/changelog ===
vulkan-volk (1.4.328.1-1) unstable; urgency=medium

  * New upstream version 1.4.328.1
  * Bump version of libvulkan-dev to >= 1.4.328.1
  * Remove redundant "Rules-Requires-Root: no"
  * Convert debian/watch to version 5

 -- Dylan Aïssi <daissi@debian.org>  Mon, 03 Nov 2025 16:58:04 +0100
