=== debian/control ===
--- 
+++ 
@@ -5,12 +5,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libvulkan-dev (>= 1.4.321)
+               libvulkan-dev (>= 1.4.328.1)
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk/
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vulkan-volk.git
 Homepage: https://github.com/zeux/volk
-Rules-Requires-Root: no
 
 Package: libvulkan-volk-dev
 Architecture: any
