## vulkan-volk 1.4.335.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(volk VERSION
 # VOLK_GENERATE_VERSION
-328
+335
 # VOLK_GENERATE_VERSION
   LANGUAGES C
 )
@@ -82,6 +82,9 @@
     elseif(DEFINED ENV{VULKAN_SDK})
       message("volk: using VULKAN_SDK environment variable")
       set(VOLK_INCLUDES "$ENV{VULKAN_SDK}/include")
+    elseif(TARGET Vulkan-Headers)
+      message("volk: using Vulkan-Headers include directories")
+      get_target_property(VOLK_INCLUDES Vulkan-Headers INTERFACE_INCLUDE_DIRECTORIES)
     endif()
   endif()
