=== debian/changelog ===
vulkan-volk (1.4.335.0-1) unstable; urgency=medium

  * New upstream version 1.4.335.0
  * Bump version of libvulkan-dev to >= 1.4.335

 -- Dylan Aïssi <daissi@debian.org>  Sat, 20 Dec 2025 17:13:02 +0100
